Skip to main content
GET
/
api
/
v1
/
pbx_extension_connectors
List PBX extension connectors
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "items": [
      {
        "pbx_extension_connector_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "status": "active",
        "phone_number": "<string>",
        "agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "agent_name": "<string>",
        "sip_connector_server": "<string>",
        "connection_type": "udp",
        "setup_mode": "both",
        "pbx": {
          "registrar_server": "<string>",
          "port": 123,
          "username_extension": "<string>"
        },
        "inbound": {
          "allowed_ip": "<string>"
        },
        "auth": {
          "has_separate_credentials": true,
          "username": "<string>"
        },
        "normalizer": {
          "default_prefix": "<string>",
          "condition_length": "<string>",
          "condition_prefix": "<string>"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 25,
      "total": 137,
      "last_page": 6,
      "from": 1,
      "to": 25,
      "has_more": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.mindhunters.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

page
integer
default:1
per_page
integer
default:25
Required range: x <= 100
agent_uuid
string<uuid>
phone_number
string
status
enum<string>
Available options:
active,
inactive

Response

200 - application/json

Success

success
boolean
data
object